require 'guard/test/inspectors/focused_inspector'
require 'guard/test/inspectors/keeping_inspector'
require 'guard/test/inspectors/simple_inspector'

module Guard
  class Test < Plugin
    module Inspectors

      class Factory
        class << self
          def create(options = {})
            case options[:failed_mode]
            when :focus
              FocusedInspector.new(options)
            when :keep
              KeepingInspector.new(options)
            else
              SimpleInspector.new(options)
            end
          end

          private :new
        end
      end

    end
  end
end

